Bug 51174

Summary: "sticky" isn't
Product: [Retired] Red Hat Linux Reporter: Kevin L. Mitchell <klmitch>
Component: sawfishAssignee: Havoc Pennington <hp>
Status: CLOSED UPSTREAM QA Contact: David Lawrence <dkl>
Severity: medium Docs Contact:
Priority: medium    
Version: 7.1Keywords: MoveUpstream, Triaged
Target Milestone: ---   
Target Release: ---   
Hardware: i386   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2003-01-12 23:05:41 EST Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:

Description Kevin L. Mitchell 2001-08-07 22:04:02 EDT
Description of Problem:
  I have windows of a certain name set up to be sticky by default.  They
aren't.  The toggle
  in sawfish shows that they're supposed to be sticky, but if I switch to
another viewport,
  the window does not follow.  If I toggle sticky off and back on, the
windows are present on
  all viewports, as they should be.

How Reproducible:
  Select a window, say, an xterm.  Pull up the window menu and go to
"Toggle," then select
  "sticky" to make the window sticky.  Pull up the window menu again and go
to "History"
  and select "Remember attributes."  Then start up another such window and
switch view
  ports, and watch the original window come along for the ride...but the
new window be left
  behind.  This is 100% reproducible on my system (with all updates
applied).
Comment 1 Jonathan Blandford 2001-08-08 13:57:04 EDT
It seems to work for me.  Can you duplicate it with a gnome-terminal or something?
Comment 2 Kevin L. Mitchell 2002-03-23 15:41:12 EST
My apologies for taking so long to get back on this.  I upgraded to RedHat 7.2
in the meantime, hoping that the bug would be fixed.  It is not.  I can
reproduce this behavior with any X window, including Gnome terminal--and yes,
I have all the updates.

Once again, the failure mode can be replicated in this fashion:
  1) Start up a program that displays a window, such as xterm or
     gnome-terminal.
  2) Go to the window manager menu, select "Toggle," then select "Sticky"
     to make the window sticky.
  3) Go to the window manager menu, select "History," then select "Remember
     Attributes."
  4) Start up another instance of the same program.  Switch screens.  Note
     that the original window will come along for the ride, but the new
     window will not.  Switch back to the original screen and select
     "Toggle" from the window manager menu and note that "Sticky" is indeed
     selected, even though the window does not display "Sticky" behavior.
  5) Select "Toggle" from the window manager menu on the new window and
     turn "Sticky" off.  Then do it again to turn "Sticky" back on.  Now
     the window will indeed come along for the ride when you switch
     screens.

Need any configuration info from me?
Comment 3 Havoc Pennington 2003-01-12 23:05:41 EST
Upstream as http://bugzilla.gnome.org/show_bug.cgi?id=103333